# Welcome to automaton’s documentation!

Friendly state machines for python.

- automaton User Guide
  - Features
  - Examples
- API
  - Machines
  - Runners
  - Converters
  - Exceptions
- Installation
- Contributing

Indices and tables

- Index

- Module Index

- Search Page

this page last updated: 2026-02-11 10:51:02

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug